Package net.postgis.jdbc.geometry.binary

# Class ValueGetter

java.lang.Object
net.postgis.jdbc.geometry.binary.ValueGetter

Direct Known Subclasses:
  `ValueGetter.NDR`, `ValueGetter.XDR`

public abstract class ValueGetter extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ValueGetter.NDR`
`static class`
`ValueGetter.XDR`

## Field Summary

Fields
Modifier and Type
Field
Description
`final byte`
`endian`

## Constructor Summary

Constructors
Constructor
Description
`ValueGetter(ByteGetter data, byte endian)`

## Method Summary

Modifier and Type
Method
Description
`byte`
`getByte()`
Get a byte, should be equal for all endians
`double`
`getDouble()`
Get a double.
`int`
`getInt()`
`protected abstract int`
`getInt(int index)`
Get a 32-Bit integer
`long`
`getLong()`
`protected abstract long`
`getLong(int index)`
Get a long value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### endian

public final byte endian

## Constructor Details

### ValueGetter

public ValueGetter(ByteGetter data, byte endian)

## Method Details

### getByte

public byte getByte()
Get a byte, should be equal for all endians

Returns:
  the byte value

### getInt

public int getInt()

### getLong

public long getLong()

### getInt

protected abstract int getInt(int index)
Get a 32-Bit integer

Parameters:
  `index` - the index to get the value from
Returns:
  the int value

### getLong

protected abstract long getLong(int index)
Get a long value. This is not needed directly, but as a nice side-effect from GetDouble.

Parameters:
  `index` - the index to get the value from
Returns:
  the long value

### getDouble

public double getDouble()
Get a double.

Returns:
  the double value